Share via


Frontend Endpoints - Disable Https

Disables a frontendEndpoint for HTTPS traffic

POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.Network/frontDoors/{frontDoorName}/frontendEndpoints/{frontendEndpointName}/disableHttps?api-version=2019-05-01

URI Parameters

Name In Required Type Description
frontDoorName
path True

string

minLength: 5
maxLength: 64
pattern: ^[a-zA-Z0-9]+([-a-zA-Z0-9]?[a-zA-Z0-9])*$

Name of the Front Door which is globally unique.

frontendEndpointName
path True

string

minLength: 1
maxLength: 255
pattern: ^[a-zA-Z0-9]+(-*[a-zA-Z0-9])*$

Name of the Frontend endpoint which is unique within the Front Door.

resourceGroupName
path True

string

minLength: 1
maxLength: 80
pattern: ^[a-zA-Z0-9_\-\(\)\.]*[^\.]$

Name of the Resource group within the Azure subscription.

subscriptionId
path True

string

The subscription credentials which uniquely identify the Microsoft Azure subscription. The subscription ID forms part of the URI for every service call.

api-version
query True

string

Client API version.

Responses

Name Type Description
200 OK

OK. The request has succeeded.

202 Accepted

Accepted and the operation will complete asynchronously.

Other Status Codes

ErrorResponse

Front Door error response describing why the operation failed.

Security

azure_auth

Azure Active Directory OAuth2 Flow

Type: oauth2
Flow: implicit
Authorization URL: https://login.microsoftonline.com/common/oauth2/authorize

Scopes

Name Description
user_impersonation impersonate your user account

Examples

FrontendEndpoints_DisableHttps

Sample request

POST https://management.azure.com/subscriptions/subid/resourceGroups/rg1/providers/Microsoft.Network/frontDoors/frontDoor1/frontendEndpoints/frontendEndpoint1/disableHttps?api-version=2019-05-01

Sample response

Definitions

ErrorResponse

Error response indicates Front Door service is not able to process the incoming request. The reason is provided in the error message.

Name Type Description
code

string

Error code.

message

string

Error message indicating why the operation failed.